Create Provider Gateway Connection

Create Provider Gateway Connection
Create a new Centralized Connection Connection assignment.

Create a new Centralized Connection Connection assignment to the Regional Networking Setting.

Request
URI
POST
https://{api_host}/cloudapi/v1/regionalNetworkingSettings/{settingId}/providerGatewayConnections
COPY
Path Parameters
string
settingId
Required

settingId


Request Body
ProviderGatewayConnection of type(s) application/json
Required
This request body class requires all of the following: NetworkingEntityStatus , InlineProviderGatewayConnection1
{
    "status": "string",
    "id": "string",
    "name": "string",
    "providerGatewayRef": {
        "name": "string",
        "id": "string"
    },
    "isDefault": false,
    "allowAdvertisingPrivateIpBlocks": false
}
Authentication
This operation uses the following authentication methods.
Responses
202

The request have been accepted and the task to monitor the request is in the Location header.

Operation doesn't return any data structure

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"providerGatewayRef":"object"}' https://{api_host}/cloudapi/v1/regionalNetworkingSettings/{settingId}/providerGatewayConnections